@charset "utf-8";

/* overall */
/* font-family */
html {
    font-family: メイリオ, Meiryo, "ヒラギノ角ゴ Pro W3", "Hiragino Kaku Gothic Pro", "ＭＳ Ｐゴシック", sans-serif;
}
/* text */
.text-center {
    text-align: center;
}
.text-nowrap {
    white-space: nowrap!important;
}

/* font */
.fw-bold {
    font-weight: bold;
}

/* width */
.w-100 {
    width: 100%;
}

/* margin */
.mb-3 {
    margin-bottom: 1rem !important;
}
.mb-5 {
    margin-bottom: 3rem !important;
}

.mx-1 {
    margin-right: 0.25rem !important;
    margin-left: 0.25rem !important;
}

.my-3 {
    margin-top: 1rem !important;
    margin-bottom: 1rem !important;
}

/* padding */
.p-3 {
    padding: 1rem !important;
}
.pb-4 {
    padding-bottom: 1.5rem !important;
}

/* line-height */
.lh-2 {
    line-height: 2 !important;
}

/* display */
.d-flex {
    display: flex !important;
}

/* vertical align */
.align-10 {
    vertical-align: -10% !important;
}

/* header */
.global-header{
    padding: 12px 0;
}
.global-header__box{
    font-size: 85%;
    margin-top: 0.25rem !important;
    margin-bottom: 0.25rem !important;
}
.global-header__section {
    padding-top: 1rem;
    padding-bottom: 1rem;
}
.global-header__bar {
    background-color: #008bcc;
    font-size: 85%;
    color: #ffffff;
    padding-right: 10px;
    padding-left: 10px;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}
.global-header__bar a {
    color: #ffffff;
}
.global-header__bar .material-icons {
    font-size: 20px;
}
.global-header__bar i.left {
    margin-right: 5px;
}
.global-header .row {
    margin-bottom: 0 !important;
}
.global-header h1 {
    font-size: 16px;
    margin: 0;
    padding-top: 3px;
    padding-bottom: 3px;
}

/* footer */
.global-footer {
    margin: 0 auto;
    padding: 30px 0;
}
.global-footer__copyright {
    font-size: 80%;
}

/* common */
.container {
    width: 90%;
}
.col {
    padding: 0 !important;
}
.col .row {
    margin-left: 0;
    margin-right: 0;
}
.search_bar {
    margin: 0;
    padding: 0;
}
.search_bar [type="text"] {
    height: 1.4rem !important;
    border: 1px solid #008bcc !important;
    font-size: 13px !important;
}
.search_bar [type="submit"] {
    font-size: 15px !important;
}
.search_bar [type="radio"]:not(:checked),
.search_bar [type="radio"]:checked {
    opacity: unset;
    width: 15px;
    height: 15px;
    top: 3px;
    position: relative;
}
.search_bar label {
    color: #000000 !important;
}
.btn-top {
    font-size: 60%;
    text-transform:none;
}
.txt-alert {
    padding: 3px 5px;
    margin-right: 5px;
    color: #ffffff;
}
strong {
    color: #ff6600;
    font-weight: bold;
}
code {
    color: #d63384;
    word-wrap: break-word;
}
#page-top a{
    width: 50px;
    height: 50px;
    position: fixed;
    right: 10px;
    bottom: 10%;
    background: #008bcc;
    color: #ffffff;
    padding: 10px;
    opacity: 0.4;
}
#page-top a i.material-icons {
    font-size: 28px;
}

/* nav */
nav{
    background-color: transparent;
    box-shadow: none;
}
nav a{
    color: #000000;
}
nav ul a{
    color: #000000;
    font-size: 12px;
}
.dropdown-content {
    overflow-y: scroll;
}
.dropdown-content li>a, .dropdown-content li>span {
    color: #000000;
    font-size: 12px;
}
.sidenav .collapsible>.active .collapsible-header .chevron {
    transform: rotate(-90deg);
}
.dropdown-menu-sub-title {
    font-size: 10px;
}
nav .input-field label i {
    color: #000000;
}

/* main */
main {
    margin-top: 12px;
    margin-bottom: 12px;
}

.main-box__title {
    border-bottom: 1px solid #008bcc;
    font-weight: bold;
}

/* list */
.main-box__list {
    font-size: 90%;
}
.main-box__list_summary {
    padding-top: 1rem;
    padding-bottom: 1rem;
}
.main-box__list_summary .row {
    margin-bottom: 0;
}

.main-box__list_summary dt {
    font-weight: bold;
    margin: 0.25rem 0 0 0;
}

.main-box__list_summary h2 {
    font-size: 110%;
    line-height: 1.4;
    font-weight: bold;
}

.main-box__list_summary h3 {
    font-size: 110%;
    line-height: 1.4;
    font-weight: bold;
    color: #008bcc;
}

.main-box__list_summary h4 {
    font-size: 100%;
    line-height: 1.3;
    font-weight: bold;
}

/* ul, ol */
.main-box ol,
.list-group {
    margin-left: 47px;
}

/* li */
ol:not(.browser-default) {
  padding-left:16px;
}
ul li.list-group-item,
ol li.list-group-item {
    padding: 0.5rem 1rem;
    padding-left:6px;
}
ul li.list-group-item {
    list-style-type: disc;
}

/* table */
.base-table th {
    background-color: #d1e7dd;
    padding-left: 1rem;
    padding-right: 1rem;
}

.white-smoke-table th {
    background-color: #eeeeee;
}

.web-safe-color-table th {
    background-color: #999999;
    border: 1px solid #ffffff;
    color: #ffffff;
}

/* blockquote */
blockquote {
    border-left: 5px solid #008bcc;
    font-style: italic;
}

/* 個別 */
.cvss-header {
    height: 38px;
    display: flex;
    align-items: center;
    font-weight: bold;
}
.cvss-box {
    height: 38px;
    border-radius: 0.25rem;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 12px;
}
#vulnerability_analysis .collapsible {
    box-shadow: none;
    border: none;
}
.content_title {
    font-weight: bold;
    color: #008bcc;
}
.update-comment {
    color: #ff6600;
}
.main-box__top-header {
    background-color: #008bcc;
    opacity: 0.5;
    color: #ffffff;
    font-weight: bold;
}
.main-box__top-header .row,
.main-box__top-list .row {
    margin-bottom: 0;
}
.main-box__top-header .row .col:nth-of-type(n+2),
.main-box__top-list .row .col:nth-of-type(n+2) {
    border-left: 1px dotted #dddddd;
}
.main-box__top-header .row .col p,
.main-box__top-list .row .col p {
    margin: 1rem;
}
.main-box__top-list {
    border-bottom: 1px dotted #dddddd;
}

/* media screen */
@media (max-width: 600px) {
    .brand-logo img {
        height: 28px;
    }

    nav.nav-extended .nav-wrapper {
        min-height: 28px;
    }

    nav, nav .nav-wrapper i, nav a.sidenav-trigger, nav a.sidenav-trigger i {
        height: 28px;
        line-height: 28px;
    }
    .cvss-box {
        font-size: 70%;
    }
}

@media only screen and (min-width: 601px) {
    nav.nav-extended .nav-wrapper {
        min-height: 45px;
    }

    nav, nav .nav-wrapper i, nav a.sidenav-trigger, nav a.sidenav-trigger i {
        height: 45px;
        line-height: 45px;
    }
}

@media only screen and (max-width : 992px) {
    .global-header h1 {
        line-height: inherit;
    }
    .sidenav {
        width: 330px;
    }
    .sidenav li a {
        font-size: 11px;
    }
    .sidenav .collapsible-header, .sidenav.fixed .collapsible-header {
        padding: 0 32px;
    }
    .w-sm180 {
        width: 180px;
    }
    table.responsive-table thead {
        border-right: none;
    }
    .main-box__top-header,
    .main-box__top-list {
        padding-top: 1rem;
        padding-bottom: 1rem;
    }
    .main-box__top-header .row .col:nth-of-type(n+2),
    .main-box__top-list .row .col:nth-of-type(n+2) {
        border-left: none;
    }
    .main-box__top-header .row .col p,
    .main-box__top-list .row .col p {
        margin: 0;
    }
    .d-flex {
        display: inline !important;
    }
}

@media only screen and (min-width : 993px) {
    .br-l-none {
        display: none;
    }
}

@media only screen and (min-width: 1101px) and (max-width: 1200px) {
    nav .brand-logo img {
        width: 90%;
    }
    nav ul a {
        padding: 0 3px;
    }
}

@media only screen and (min-width: 993px) and (max-width: 1100px) {
    nav .brand-logo img {
        width: 80%;
    }
}

@media only screen and (min-width: 993px) and (max-width: 1200px) {
    nav ul a {
        padding: 0 3px;
    }
}

@media only screen and (min-width: 993px) and (max-width: 1300px) {
    ul#nav-mobile a[data-target^="dropdown"] i.right {
        margin-left: 10px;
    }
}

@media print {
    nav a.sidenav-trigger {
        display: none;
    }
    .br-l-none {
        display: none;
    }

    .main-box__list_summary .col.l1 {
        width: 8.3333333333%;
    }

    .global-header__section .col.l2,
    .global-header__section .col.xl2,
    .main-box__list_summary .row .col.l2,
    #news_list .main-box__top-header .row .col.l2,
    #news_list .main-box__top-list .row .col.l2,
    #vulnerability_analysis .main-box__list_summary ul.collapsible .collapsible-header .row.w-100 .col.l2 {
        width: 16.6666666667%;
    }

    .main-box__list_summary .row .col.l3 {
        width: 25%;
    }

    .global-header__section .col.l4 {
        width: 33.3333333333%;
    }

    .main-box__list_summary .row .col.l5 {
        width: 41.6666666667%;
    }

    .global-header__section .col.l6,
    .main-box__list_summary .row .col.l6,
    #news_list .main-box__top-header .row .col.l6,
    #news_list .main-box__top-list .row .col.l6 {
        width: 50%;
    }

    .main-box__list_summary .row .col.l7 {
            width: 58.3333333333%;
    }

    .main-box__list_summary .row .col.l8,
    #vulnerability_analysis .main-box__list_summary ul.collapsible .collapsible-header .row.w-100 .col.l8 {
        width: 66.6666666667%;
    }

    .main-box__list_summary .row .col.l10,
    .global-header__section .col.xl10 {
        width: 83.3333333333%;
    }

    .main-box__list_summary .col.l11 {
        width: 91.6666666667%;
    }

    select.browser-default {
        background-color: rgba(255,255,255,0.9);
        width: 100%;
        border: 1px solid #f2f2f2 !important;
        border-radius: 2px !important;
        min-height: 3rem;
    }
}
